Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 1.5.6
    • Fix Version/s: 2.0.4
    • Component/s: Security
    • Labels:
      None

      Description

      My test can sign / secure a request and get it passed the security interceptor when the interceptor runs in a java 5 container, but not in a java 6 container.

        Activity

        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        This is mostly due to XWSS, the underlying dependency, not being able to deal with JDK 1.6. We can investigate whether an update for XWSS has been put out that solves this.

        As a workaround, you can use WSS4J, rather than XWSS.

        Show
        arjen.poutsma Arjen Poutsma added a comment - This is mostly due to XWSS, the underlying dependency, not being able to deal with JDK 1.6. We can investigate whether an update for XWSS has been put out that solves this. As a workaround, you can use WSS4J, rather than XWSS.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        The airline sample, which uses XWSS, seems to run fine on JDK 1.6 nowadays. Closing this issue.

        Show
        arjen.poutsma Arjen Poutsma added a comment - The airline sample, which uses XWSS, seems to run fine on JDK 1.6 nowadays. Closing this issue.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Closing old issues

        Show
        arjen.poutsma Arjen Poutsma added a comment - Closing old issues

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            philsusername Phil Nollet
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: